#
# spec file for package cosmic-player
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define         appname com.system76.CosmicPlayer
Name:           cosmic-player
Version:        0.1.0+git20241205.b26005d
Release:        1.1
Summary:        COSMIC media player
License:        GPL-3.0-only
URL:            https://github.com/pop-os/cosmic-player
Source0:        %{name}-%{version}.tar.zst
Source1:        vendor.tar.zst
BuildRequires:  cargo-packaging
BuildRequires:  clang-devel
BuildRequires:  hicolor-icon-theme
BuildRequires:  just
BuildRequires:  pkgconfig
BuildRequires:  rust >= 1.80
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:  pkgconfig(gstreamer-video-1.0)
BuildRequires:  pkgconfig(xkbcommon)

%description
%{summary}.

%prep
%autosetup -a1

%build
just build-release

%install
just rootdir=%{buildroot} prefix=%{_prefix} install

%check
%{cargo_test}

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{appname}.desktop
%{_datadir}/icons/hicolor/*/apps/%{appname}.svg
%{_datadir}/metainfo/%{appname}.metainfo.xml

%changelog
* Fri Dec  6 2024 rrahl0@opensuse.org
- Update to version 0.1.0+git20241205.b26005d:
  * Move language selection to bottom bar, implement volume
  * Add file menu, improve naming of subtitles
  * Create cosmic_player.ftl
  * Update iced video player
  * Use prev-master branch of libcosmic
  * i18n (pt-BR) translation update
  * Improve argument handling
  * Fix appstream data
  * Update dependencies
- remove patch ffmpeg-next.patch as it's not required anymore
* Tue Oct  8 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 0.1.0+git20241008.d614269:
  * rework app to use gstreamer, not ffmpeg
  * update dependencies
  * auto hide controls
  * add fullscreen toggle
  * auto selecting audio and subtitles
- remove patch ffmpeg-7.patch as ffmpeg is not directly a requirement
  anymore
* Thu Aug 29 2024 Richard Rahl <rrahl0@opensuse.org>
- fix Tumbleweed by using ffmpeg-next.patch and ffmpeg-7.patch
* Thu Aug  8 2024 Richard Rahl <rrahl0@opensuse.org>
- standardize packaging with also fixes for miscellaneous hardcoding
  filenames, using @PARENT_TAG where applicable, and be more specific
  with files in the %%files section (so no non-wanted files are getting
  added
* Thu Mar 14 2024 Richard Rahl <rrahl0@proton.me>
- initial packaging
